kdecore Library: KNotifyClient::Instance Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNotifyClient::Instance Class Reference

Makes it possible to use KNotifyClient with a KInstance that is not the application. Enables KNotifyClient to use a different KInstance. More...

`#include <knotifyclient.h>`

List of all members.

## Public Member Functions
| Instance (KInstance *instance)
| ~Instance ()
bool | useSystemBell () const
## Static Public Member Functions
static KInstance * | current ()
static Instance * | currentInstance ()

## Detailed Description

Makes it possible to use KNotifyClient with a KInstance that is not the application. Enables KNotifyClient to use a different KInstance.

Use like this:

     KNotifyClient::Instance(myInstance);
     KNotifyClient::event("MyEvent");

Definition at line 96 of file knotifyclient.h.

## Constructor & Destructor Documentation

KNotifyClient::Instance::Instance | ( | KInstance * | instance | ) |

  | Constructs a KNotifyClient::Instance to make KNotifyClient use the specified KInstance for the event configuration. Parameters:
  | instance | the instance for the event configuration
Definition at line 316 of file knotifyclient.cpp. References KInstance::config(), KNotifyClient::instance(), and KConfigBase::readBoolEntry().

KNotifyClient::Instance::~Instance | ( |  | ) |

| Destructs the KNotifyClient::Instance and resets KNotifyClient to the previously used KInstance. Definition at line 327 of file knotifyclient.cpp.

## Member Function Documentation

bool KNotifyClient::Instance::useSystemBell | ( |  | ) | const

| Checks whether the system bell should be used. Returns: true if this instance should use the System bell instead of KNotify. Definition at line 341 of file knotifyclient.cpp.

KInstance * KNotifyClient::Instance::current | ( |  | ) | `[static]`

| Returns the currently active KInstance. Returns: the active KInstance Definition at line 360 of file knotifyclient.cpp. References currentInstance(), and d. Referenced by KNotifyClient::instance().

KNotifyClient::Instance * KNotifyClient::Instance::currentInstance | ( |  | ) | `[static]`

| Returns the current KNotifyClient::Instance (not the KInstance). Returns: the active Instance Definition at line 355 of file knotifyclient.cpp. Referenced by current().

The documentation for this class was generated from the following files:

- knotifyclient.h
- knotifyclient.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:29 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003